﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CopyCenter
{
    /// <summary>
    /// Логика взаимодействия для AuthorizationWindow.xaml
    /// </summary>
    public partial class AuthorizationWindow : Window
    {

        gr672_liiEntities db = new gr672_liiEntities();
        public AuthorizationWindow()
        {
            InitializeComponent();
        }


        private void AuthorizationClick(object sender, RoutedEventArgs e)
        {
            Auth(login.Text, password.Password);
        }

        private void Registration_Click(object sender, RoutedEventArgs e)
        {
            RegistrationWindow rw = new RegistrationWindow();
            Auth(login.Text, password.Password);
            rw.Show();
            this.Close();
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            Application.Current.Shutdown();
        }

        public bool Auth(string Login, string Password)
        {
            gr672_liiEntities db = new gr672_liiEntities();
            if (Login == "" || Password == "")
            {
                MessageBox.Show("Введено неправильное значение");
                return false;
            }
            if (db.Users.Select(item => item.Login + " " + item.Password).Contains(Login + " " + Password))
            {
                MessageBox.Show("Добро пожаловать, вы авторизированы!");
                MenuWindow mw = new MenuWindow();
                mw.Show();
                return true;
            }
            else
            {
                MessageBox.Show("Введён неправильный логин/пароль");
                return false;
            }

        }

    }
}
